Name:		jamboree
Summary:	Music Player
Version:	0.3
Release:	3mdk
License:	GPL
Source:		http://www.gnome.org/~jdahlin/jamboree/%{name}-%{version}.tar.bz2
URL:		http://www.gnome.org/~jdahlin/jamboree/
Group:          Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gstreamer-plugins-devel 
BuildRequires:  gstreamer-audio-effects
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libgdbm-devel
BuildRequires:  ImageMagick
Requires:  gstreamer-audio-effects
Requires:  gstreamer-GConf
Requires:  gstreamer-vorbis
Requires:  gstreamer-mad
Requires:  gstreamer-audiosink

%description
Jamboree is a music player with a simple interface

%prep
%setup -q

%build
export LDFLAGS="-lvorbis"

# we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x
%make

%install
rm -rf %{buildroot}

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name

mkdir -p %buildroot%_menudir
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%{_bindir}/%name" icon="%name.png" longtitle="Simple Music Player" title="Jamboree" needs="x11" section="Multimedia/Sound" startup_notify="true"
EOF

mkdir -p %buildroot{%_iconsdir,%_miconsdir,%_liconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 %buildroot%_datadir/pixmaps/%name.png %buildroot%_miconsdir/%name.png
convert -border 8x8 -bordercolor gray100 -transparent gray100 %buildroot%_datadir/pixmaps/%name.png %buildroot%_liconsdir/%name.png

%clean
rm -rf %{buildroot}

%post
%update_menus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/jamboree.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/jamboree.schemas > /dev/null
fi

%postun
%{clean_menus}


%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog FAQ INSTALL README
%{_bindir}/jamboree
%{_datadir}/jamboree/
%{_datadir}/applications/jamboree.desktop
%{_datadir}/pixmaps/jamboree.png
%{_sysconfdir}/gconf/schemas/jamboree.schemas
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Fri Oct 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-3mdk
- Fix requires (audiosink)

* Mon Sep 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- fix requires

* Mon Sep 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- initial mdk package

* Sat Sep 27 2003 Johan Dahlin <johan@gnome.org>
- increased version

* Sun Sep 21 2003 Johan Dahlin <johan@gnome.org>
- Added Group, FAQ
- libglade2 instead of libglade dependency
- Remove gstreamer-gconf dependency

* Wed Aug 27 2003 Johan Dahlin <johan@gnome.org>
- Initial version
